#coding: utf-8
import os

import wx


class CameraArea():
    def __init__(self,frame):
        self.frame = frame
        self.mainPanel = None

    #################################################
    #       创建一个pannel
    #################################################
    def create(self):
        self.mainPanel = wx.Panel(self.frame)
        boxSizer = wx.BoxSizer(wx.VERTICAL)
        topPanel = wx.Panel(self.mainPanel)
        bottomPanel = wx.Panel(self.mainPanel)
        bottomPanel.SetBackgroundColour(wx.YELLOW)
        boxSizer.Add(topPanel,1,flag=wx.EXPAND | wx.ALL)
        boxSizer.Add(bottomPanel,2, flag=wx.EXPAND | wx.ALL)
        self.mainPanel.SetSizer(boxSizer)

        preView = wx.Panel(topPanel)
        preView.SetBackgroundColour(wx.GREEN)

        controlView = wx.Panel(topPanel)
        wx.StaticText(controlView, label='本地视频：', pos=(10, 10))
        videoPathText = wx.TextCtrl(controlView,pos=(70,5),size=wx.Size(300,-1))
        selectPathButton = wx.Button(controlView,label="选择视频文件",pos=(375,5))
        self.frame.Bind(wx.EVT_BUTTON, lambda evt,textCtr=videoPathText : self.selectVideoFile(evt,textCtr), selectPathButton)

        boxSizer_1 = wx.BoxSizer(wx.HORIZONTAL)
        boxSizer_1.Add(preView,1,flag=wx.EXPAND | wx.ALL)
        boxSizer_1.Add(controlView, 3, flag=wx.EXPAND | wx.ALL)
        topPanel.SetSizer(boxSizer_1)


        return self.mainPanel


    def selectVideoFile(self,evt,textCtr):
        wildcard = "Video file (*.flv)|*.flv"
        dlg = wx.FileDialog(
            self.frame, message="Choose a file",
            defaultDir=os.getcwd(),
            defaultFile="",
            wildcard=wildcard,
            style=wx.FD_OPEN |
                  wx.FD_CHANGE_DIR | wx.FD_FILE_MUST_EXIST |
                  wx.FD_PREVIEW
        )
        if dlg.ShowModal() == wx.ID_OK:
            path = dlg.GetPath()
            print(path)
        dlg.Destroy()